local MillModule = {}

------------------------- Button Functions -------------------------

function MillModule.EnableBtn()
    if GetOSIG(mc.OSIG_MACHINE_ENABLED) == 1 then
        mc.mcCntlEnable(inst,false);
    else
        mc.mcCntlEnable(inst,true);
        mc.mcCntlSetLastError(inst, " ");
    end
end

function MillModule.CycleStartBtn()
	mc.mcCntlSetLastError(inst, "Cycle Start Pressed")
	mc.mcCntlCycleStart(inst)
end

function MillModule.MDIBtn()
	mc.mcCntlSetLastError(inst, "MDI Start Pressed")
	scr.ExecMdi("mdi")
end

function MillModule.FeedHoldBtn()
    mc.mcCntlSetLastError(inst, "Feed Hold Pressed")
    mc.mcCntlFeedHold(inst)
end

function MillModule.CycleStopBtn()
    mc.mcCntlSetLastError(inst, "Cycle Stop Pressed")
    mc.mcCntlCycleStop(inst)
end

function MillModule.RewindBtn()
    mc.mcCntlSetLastError(inst, "Rewind Pressed")
    mc.mcCntlRewindFile(inst)
end

function MillModule.ResetBtn()
    mc.mcCntlSetLastError(inst, "Reset Pressed")
    mc.mcCntlReset(inst)
end

function MillModule.DeRefrencefAllBtn()
    mc.mcCntlSetLastError(inst, "DeRefrence All Axis Pressed") 
	mc.mcAxisDerefAll(inst)
end


function MillModule.AutoToolZeroBtn()
    mc.mcCntlSetLastError(inst, "Auto Tool Zero Pressed") 
end

function MillModule.HomeAllBtn()
    mc.mcCntlSetLastError(inst, "Home All Pressed") 
    --mc.mcAxisHome(MINSTANCE mIns
    mc.mcAxisHomeAll(inst);
end

function MillModule.HomeXBtn()
    mc.mcCntlSetLastError(inst, "Home X Pressed")
	local Axis = 0	
	mc.mcAxisHome(inst, Axis)
end

function MillModule.HomeYBtn()
    mc.mcCntlSetLastError(inst, "Home Y Pressed")
	local Axis = 1	
	mc.mcAxisHome(inst, Axis)
end

function MillModule.HomeZBtn()
    mc.mcCntlSetLastError(inst, "Home Z Pressed")
	local Axis = 2	
	mc.mcAxisHome(inst, Axis)
end

function MillModule.HomeABtn()
    mc.mcCntlSetLastError(inst, "Home A Pressed")
	local Axis = 3	
	mc.mcAxisHome(inst, Axis)
end

function MillModule.HomeBBtn()
    mc.mcCntlSetLastError(inst, "Home B Pressed")
	local Axis = 4	
	mc.mcAxisHome(inst, Axis)
end

function MillModule.HomeCBtn()
    mc.mcCntlSetLastError(inst, "Home C Pressed")
	local Axis = 5	
	mc.mcAxisHome(inst, Axis)
end


function MillModule.ZeroAllBtn()
    mc.mcCntlSetLastError(inst, "Zero All Pressed") 
	for Axis = 0,5 do	
		mc.mcAxisSetPos(inst,Axis, 0.0);
	end
	mc.mcToolPathGenerate(inst)
end

function MillModule.ZeroXBtn()
    mc.mcCntlSetLastError(inst, "Zero X Pressed")
	local Axis = 0	
    mc.mcAxisSetPos(inst,Axis, 0.0);
	mc.mcToolPathGenerate(inst)
end

function MillModule.ZeroYBtn()
    mc.mcCntlSetLastError(inst, "Zero Y Pressed")
	local Axis = 1	
    mc.mcAxisSetPos(inst,Axis, 0.0);
	mc.mcToolPathGenerate(inst)
end

function MillModule.ZeroZBtn()
    mc.mcCntlSetLastError(inst, "Zero Z Pressed")
	local Axis = 2	
    mc.mcAxisSetPos(inst,Axis, 0.0);
	mc.mcToolPathGenerate(inst)
end

function MillModule.ZeroABtn()
    mc.mcCntlSetLastError(inst, "Zero A Pressed")
	local Axis = 3	
    mc.mcAxisSetPos(inst,Axis, 0.0);
	mc.mcToolPathGenerate(inst)
end

function MillModule.ZeroBBtn()
    mc.mcCntlSetLastError(inst, "Zero B Pressed")
	local Axis = 4	
    mc.mcAxisSetPos(inst,Axis, 0.0);
	mc.mcToolPathGenerate(inst)
end
function MillModule.ZeroCBtn()
    mc.mcCntlSetLastError(inst, "Zero C Pressed")
	local Axis = 5	
    mc.mcAxisSetPos(inst,Axis, 0.0);
	mc.mcToolPathGenerate(inst)
end

function MillModule.GoToPositionBtn()
    mc.mcCntlSetLastError(inst, "GoTo Zero Pressed") 
    mc.mcCntlGotoZero(inst);
end

function MillModule.ReverseRunBtn()
    mc.mcCntlSetLastError(inst, "Reverse Run Pressed") 
    --if 
	mc.mcCntlGotoZero(inst);
end

------------------------- END Button Functions -------------------------

return MillModule
